#
# spec file for package pam_p11
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pam_p11
Version:        0.1.5
Release:        30.3
Url:            http://www.opensc-project.org/pam_p11/
Group:          Hardware/Other
License:        LGPL-2.1+
Summary:        PAM Authentication Module for Using Cryptographic Tokens
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
BuildRequires:  libp11-devel openssl-devel pam-devel pkgconfig zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pam_p11 is a pluggable authentication module (pam) package for using
cryptographic tokens, such as smart cards and usb crypto tokens, for
authentication.

Pam_p11 uses libp11 to access any PKCS#11 module. It should be
compatible with any implementation, but it is primarily developed using
OpenSC.

Pam_p11 implements two authentication modules:

* pam_p11_openssh authenticates the user using openssh
   ~/.ssh/authorized_keys file.

* pam_p11_opensc authenticates the user using certificates found in
   ~/.eid/authorized_certificates. It is compatible with the older
   opensc "pam_opensc" authentication module (eid mode).

Pam_p11 is very simple. It has no configuration file, no other options
than the PKCS#11 module file, and does not know about certificate
chains, certificate authorities, revocation lists, or OCSP. It is
perfect for the small installation with no frills.



Authors:
--------
    Andreas Jellinghaus
    Antti Tapaninen
    Juan Antonio Martinez
    Juha Yrjl
    Kevin Stefanik
    Ludovic Rousseau
    Mario Strasser
    Markus Friedl
    Olaf Kirch
    Tatu Ylonen
    Timo Sirainen

%prep
%setup -q

%build
%configure\
	--libdir=/%{_lib}
make %{?jobs:-j%jobs}

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc COPYING NEWS doc/README doc/ChangeLog doc/*.html doc/*.css
/%{_lib}/security/*.so

%changelog
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Thu Jun 25 2009 sbrabec@suse.cz
- Supplement pam-32bit/pam-64bit in baselibs.conf (bnc#354164).
* Wed Sep 10 2008 sbrabec@suse.cz
- Updated to version 0.1.5:
  * fix wiki to html export.
  * number of build fixes
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Jul 26 2007 sbrabec@suse.cz
- Updated to version 0.1.3:
  * make some functions static.
  * rename variables to avoid names of glibc functions
    (e.g. random).
  * do not save the password (i.e. pin - shouldn't go anywhere
    except to the card).
* Thu Mar 29 2007 ro@suse.de
- added zlib-devel to buildreq
* Fri May 12 2006 sbrabec@suse.cz
- New SuSE package, version 0.1.2.
